%define upstream_name Config-Record
%define upstream_version 1.1.2

%{?perl_default_filter}

Name:           perl-%{upstream_name}
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 9
Summary:        Perl module for Configuration file access

Group:          Development/Perl
License:        GPLv2+
URL:            http://search.cpan.org/dist/%{upstream_name}
Source:         http://www.cpan.org/authors/id/D/DA/DANBERR/%{upstream_name}-%{upstream_version}.tar.gz

BuildArch:      noarch
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Test::Pod)
BuildRequires:  perl(Test::Pod::Coverage)

%description
Config::Record provides a module for loading configuration
records. It supports scalar, array and hash parameters nested
to an arbitrary depth.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%install
make pure_install PERL_INSTALL_ROOT=%{buildroot}
find %{buildroot} -type f -name .packlist -exec rm -f {} ';'
find %{buildroot} -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w %{buildroot}/*

%files
%doc AUTHORS CHANGES LICENSE README
%{perl_vendorlib}/Config/
%{_mandir}/man3/*.3pm*


%changelog
* Tue Jul 11 2017 bb2 <bb2> - 1.1.2-9pclos2017
- rebuild against updates

